# labcomm-compiler-plugin

Compiles labcomm files during the maven build lifecycle.


## Example

To use the plugin to compile the file `my_types.lc` put the following
in your maven build file (pom.xml). You can then use the types as
`import labcomm_gen.sample` where `sample` is the name of the
sample(s) in the my_types.lc.

```xml
<project>
	<!-- ...  -->
	<dependencies>
		<!-- ...  -->
		<!-- labcomm lib -->
		<dependency>
			<groupId>se.lth.control</groupId>
			<artifactId>labcomm</artifactId>
			<version>2014.3.0-SNAPSHOT</version>
		</dependency>
	</dependencies>

	<build>
		<plugins>
			<!-- ...  -->
			<plugin>
				<!-- labcomm compiler -->
				<groupId>se.lth.control</groupId>
				<artifactId>labcomm-compiler-plugin</artifactId>
				<version>2014.3.0-SNAPSHOT</version>
				<configuration>
					<lc>path/to/my_types.lc</lc>
				</configuration>
				<executions>
					<execution>
						<phase>generate-sources</phase>
						<goals>
							<goal>genjava</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
		<build>
	<plugins>

	<repositories>
		<repository>
			<!-- source of dep/plugin -->
			<id>CSLTH</id>
			<name>CS LTH maven repo</name>
			<url>http://maven.cs.lth.se/content/repositories/public/</url>
			<releases>
				<enabled>true</enabled>
			</releases>
			<snapshots>
				<enabled>true</enabled>
				<updatePolicy>always</updatePolicy>
			</snapshots>
		</repository>
	</repositories>

</project>
```
